Subject: Re: bug#16647: Imprecisions with window-resizing cursors

From: E Sabof <[email-masked]>
Date: Sun, 23 Feb 2014 23:29:14 +0000

martin rudalics <[email-masked]> writes:

> Two more things: What happens when you turn off tooltip-mode?

No change. Also the timing of the messages in the echo area is consistent with the cursor misbehaviour.

> And please try (again) with these
>
> (set-frame-parameter nil 'right-divider-width 10)
> (set-frame-parameter nil 'bottom-divider-width 10)
>
> and tell me whether and where/how long the <=> and
>
> ^
> |
> v
>
> cursor shapes appear.

This also makes no difference. The cursor changes as I enter the right divider, and fails to change when I enter the left fringe of the next window.

The cursor always changed when moving from top to bottom, half-way through the mode-line. When moving from bottom to top, everything works, like it used to.

It might be interesting to note, that if I

(setq mode-line-format nil)

, and move from top to bottom, the cursor change is consistently too late, or not happening at all, depending on the position of the bottom divider.

To me it looks like some code expects a full "character" movement, before it registers a change in location.

I've also modified the elisp snippet you've sent to use a timer instead of a loop (otherwise the cursor wouldn't refresh). I still got (9 . 0), even in cases with delayed transformation.

Evgeni